
Foreman - Bug #2065

Puppetrun doesn't work in Puppet version > 3.x

12/20/2012 11:04 AM - Peter van Arkel

Status: Resolved   

Priority: Normal   

Assignee: Dominic Cleal   

Category: Puppet integration   

Target version: 1.1   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

In the foreman interface, you're still able to use the puppetrun-method. However, this is deprecated in Puppet v3 and up and is

superceded by 'puppet kick'.

====

20121220/#theforeman@freenode

16:56:34 < Dominic> peterva: could you file a bug please?  I think it'll need a few small updates to use puppet kick instead of

puppetrun, update sudoers rules etc.

Related issues:

Related to Foreman - Feature #2116: Use MCollective to trigger Puppet runs Closed 01/08/2013

Associated revisions

Revision cfff236a - 01/02/2013 03:08 PM - Dominic Cleal

fixes #2065 - use version dependent puppetrun/kick path

Specify wildcard in sudoers rules to enable "puppet kick <host>", else sudo

doesn't permit additional arguments.

Revision aeb9463f - 01/14/2013 07:06 AM - Dominic Cleal

refs #2065 - provide version dependent puppetrun/kick path

History

#1 - 12/20/2012 11:16 AM - Dominic Cleal

- Category set to Puppet integration

- Target version set to 1.1

I think we'll need to detect puppet kick versus puppetrun in a similar way to puppetmasterd/puppet master and puppetca.  sudoers rules in the

installer will also need updating.

#2 - 12/26/2012 09:33 AM - Drew Blessing

I believe puppet kick is deprecated as of 3.0 as well.  Per Eric Sorenson at PuppetLabs the preferred method going forward is MCollective for central

stuff like this. [[http://puppetlabs.com/blog/say-hello-to-puppet-3/]]

#3 - 01/02/2013 07:22 AM - Dominic Cleal

- Status changed from New to Assigned

- Assignee set to Dominic Cleal

Drew Blessing wrote:

I believe puppet kick is deprecated as of 3.0 as well.  Per Eric Sorenson at PuppetLabs the preferred method going forward is MCollective for

central stuff like this. [[http://puppetlabs.com/blog/say-hello-to-puppet-3/]]
 Agreed, MCollective is the way forward.  This change is only to re-enable the current kick functionality, but we should be looking to integrate with the

mco puppetd plugin in the future.

#4 - 01/02/2013 11:05 AM - Dominic Cleal

- Status changed from Assigned to Ready For Testing

https://github.com/theforeman/puppet-foreman_proxy/pull/38

https://github.com/theforeman/puppet-puppet/pull/28

The proxy already has the required logic thanks to #1066.

#5 - 01/14/2013 07:09 AM - Dominic Cleal

- Status changed from Ready For Testing to Resolved

Both merged.
